=== debian/control ===
Source: wireguard
Section: net
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper (>= 10~),
 dkms,
 libmnl-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: https://www.wireguard.io
Vcs-Git: https://anonscm.debian.org/git/collab-maint/wireguard.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/wireguard.git

Package: wireguard-dkms
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 wireguard-tools
Description: fast, modern, secure kernel VPN tunnel (DKMS version)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package uses DKMS to automatically build the wireguard kernel
 module.

Package: wireguard-tools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 wireguard-dkms | wireguard-modules
Description: fast, modern, secure kernel VPN tunnel (userland utilities)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package contains command-line tools to interact with the
 WireGuard kernel module.  Currently, it provides only a single tool:
 .
 wg: set and retrieve configuration of WireGuard interfaces
