=== debian/watch ===
version=4
 https://git.zx2c4.com/WireGuard \
 /WireGuard/snapshot/WireGuard-@ANY_VERSION@@ARCHIVE_EXT@
