## wireguard 0.0.20170214-1ubuntu0.17.04.1

=== debian/changelog ===
wireguard (0.0.20170214-1ubuntu0.17.04.1) zesty; urgency=medium

  * WireGuard is not yet released software and was supposed to stay in Debian
    sid and certainly not migrate to Ubuntu stable. Since pre-releases do not
    belong in a non-rolling distribution like Ubuntu, this update is an empty
    package placeholder. As soon as WireGuard upstream releases their first
    real release, this package will be updated again. Until then, you're best
    using ppa:wireguard/wireguard or following the directions on
    <https://www.wireguard.io/install>.  (LP: #1685522)

 -- Jason A. Donenfeld <Jason@zx2c4.com>  Mon, 24 Apr 2017 00:39:58 +0200
