=== debian/control ===
--- 
+++ 
@@ -1,16 +1,12 @@
 Source: wireguard
 Section: net
 Priority: extra
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Jason A. Donenfeld <Jason@zx2c4.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
- debhelper (>= 10~),
- dkms,
- libmnl-dev,
- pkg-config
+ debhelper (>= 10~)
 Standards-Version: 3.9.8
 Homepage: https://www.wireguard.io
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/wireguard.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/wireguard.git
 
 Package: wireguard-dkms
 Architecture: all
@@ -29,12 +25,15 @@
  .
  This package uses DKMS to automatically build the wireguard kernel
  module.
+ .
+ This package is currently an empty placeholder. You may find an up
+ to date version at ppa:wireguard/wireguard or directions on packages
+ at <https://www.wireguard.io/install/>.
 
 Package: wireguard-tools
-Architecture: linux-any
+Architecture: all
 Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+ ${misc:Depends}
 Recommends:
  wireguard-dkms | wireguard-modules
 Description: fast, modern, secure kernel VPN tunnel (userland utilities)
@@ -50,3 +49,7 @@
  WireGuard kernel module.  Currently, it provides only a single tool:
  .
  wg: set and retrieve configuration of WireGuard interfaces
+ .
+ This package is currently an empty placeholder. You may find an up
+ to date version at ppa:wireguard/wireguard or directions on packages
+ at <https://www.wireguard.io/install/>.
