## wireguard 0.0.20181218

=== debian/changelog ===
wireguard (0.0.20181218-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jan 2019 13:51:35 -0800

wireguard (0.0.20181218-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Dec 2018 13:50:07 -0500

wireguard (0.0.20181119-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Nov 2018 13:30:22 -0500

wireguard (0.0.20181115-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Nov 2018 17:47:30 -0500

wireguard (0.0.20181018-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 09:42:59 -0400

wireguard (0.0.20181007-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 09:42:44 -0400

wireguard (0.0.20180925-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright: update for licensing tweaks

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Sep 2018 17:02:13 -0400

wireguard (0.0.20180918-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright: note zinc change to MIT license

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Sep 2018 15:44:54 -0400

wireguard (0.0.20180910-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright update for new code sources

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Sep 2018 00:28:31 -0400

wireguard (0.0.20180904-2) unstable; urgency=medium

  * dkms: use upstream version instead of debian version (closes: #906019)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Sep 2018 13:08:44 -0400

wireguard (0.0.20180904-1) unstable; urgency=medium

  * New upstream snapshot release
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * debian/copyright: update move of sources to zinc

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Sep 2018 16:24:17 -0400

wireguard (0.0.20180809-1) unstable; urgency=medium

  * Standards-Version: bump to 4.2.0 (no changes needed)
  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Sep 2018 16:24:06 -0400

wireguard (0.0.20180802-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Aug 2018 09:31:12 -0400

wireguard (0.0.20180731-2) unstable; urgency=medium

  * ship /etc/wireguard mode 0700 by default (closes: #902831)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Jul 2018 18:00:49 -0400

wireguard (0.0.20180731-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Jul 2018 15:42:42 -0400

wireguard (0.0.20180718-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Jul 2018 15:42:30 -0400

wireguard (0.0.20180708-1) unstable; urgency=medium

  * New upstream snapshot release
  * Standards-Version: bumped to 4.1.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 09 Jul 2018 15:03:15 -0400

wireguard (0.0.20180625-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Jun 2018 14:02:58 -0400

wireguard (0.0.20180620-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 21 Jun 2018 10:25:55 -0400

wireguard (0.0.20180613-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #900891) Thanks, Helmut Grohne!

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Jun 2018 14:35:37 -0400

wireguard (0.0.20180613-2) unstable; urgency=medium

  * avoid requiring glibc-2.25 for wireguard-tools (Closes: #901802)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Jun 2018 14:18:31 -0400

wireguard (0.0.20180613-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Jun 2018 09:59:56 -0400

wireguard (0.0.20180531-1) unstable; urgency=medium

  * New upstream snapshot release
  * update debian/copyright

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Jun 2018 16:08:33 -0400

wireguard (0.0.20180524-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 24 May 2018 10:38:53 -0400

wireguard (0.0.20180519-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 21 May 2018 13:42:17 -0400

wireguard (0.0.20180513-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 May 2018 17:28:50 -0400

wireguard (0.0.20180420-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 May 2018 17:28:31 -0400

wireguard (0.0.20180413-1) unstable; urgency=medium

  * New upstream snapshot release
  * Standards-Version: bump to 4.1.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 Apr 2018 12:43:32 -0700

wireguard (0.0.20180304-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 16 Mar 2018 01:31:06 +0000

wireguard (0.0.20180218-1) unstable; urgency=medium

  * new upstream snapshot release
  * update Jason's signing key
  * d/control: set Rules-Requires-Root: no
  * convert packaging VCS branchnames to DEP-14
  * d/copyright: embeddable-wg-library is LGPL-2.1+

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 20 Feb 2018 14:51:20 -0800

wireguard (0.0.20180202-1) unstable; urgency=medium

  * new upstream snapshot release
  * loosen versioned dependencies of wireguard metapackage

