=== debian/control ===
Source: wireguard
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper (>= 11~),
 dkms,
 libmnl-dev,
 pkg-config,
 systemd,
Standards-Version: 4.2.1
Homepage: https://www.wireguard.com
Vcs-Git: https://salsa.debian.org/debian/wireguard.git
Vcs-Browser: https://salsa.debian.org/debian/wireguard
Rules-Requires-Root: no

Package: wireguard
Architecture: all
Depends:
 wireguard-dkms (= ${source:Version}) | wireguard-modules (>= 0.0.20171001),
 wireguard-tools (>= 0.0.20171001),
 ${misc:Depends},
Description: fast, modern, secure kernel VPN tunnel (metapackage)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This metapackage explicitly depends on both the kernel module and the
 userspace tooling.

Package: wireguard-dkms
Architecture: all
Section: kernel
Depends:
 ${misc:Depends},
Recommends:
 wireguard-tools (= ${source:Version}),
Description: fast, modern, secure kernel VPN tunnel (DKMS version)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package uses DKMS to automatically build the wireguard kernel
 module.

Package: wireguard-tools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wireguard-dkms (= ${source:Version}) | wireguard-modules (>= 0.0.20171001),
Description: fast, modern, secure kernel VPN tunnel (userland utilities)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package contains command-line tools to interact with the
 WireGuard kernel module.  Currently, it provides only a single tool:
 .
 wg: set and retrieve configuration of WireGuard interfaces
