## wireguard 0.0.20190702

=== debian/changelog ===
wireguard (0.0.20190702-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Jul 2019 09:02:32 -0400

wireguard (0.0.20190601-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 17 Jun 2019 12:25:58 -0400

wireguard (0.0.20190406-1) unstable; urgency=medium

  * New upstream version
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Apr 2019 17:09:41 -0400

wireguard (0.0.20190227-1) unstable; urgency=medium

  * New upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Mar 2019 13:34:53 -0500

wireguard (0.0.20190123-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * wireguard.postinst: Add module reload on upgrade (Closes: #913446)

  [ Daniel Kahn Gillmor ]
  * New upstream version (Closes: #919232)
  * Tighten dependencies and description of wireguard metapackage
  * Fine-tune module reload code on wireguard.postinst
  * Standards-Version: bump to 4.3.0 (no changes needed)
  * Update debian/copyright
  * override lintian warning version-substvar-for-external-package
  * move to debhelper-compat 12

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 28 Jan 2019 14:31:53 -0500
