=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: wireguard
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dkms,
  libmnl-dev,
  pkg-config,
  systemd,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
@@ -18,8 +17,8 @@
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-dkms (= ${source:Version}) | wireguard-modules (>= 0.0.20171001),
- wireguard-tools (>= 0.0.20171001),
+ wireguard-dkms (= ${source:Version}) | wireguard-modules (= ${source:Version}),
+ wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
@@ -31,7 +30,8 @@
  many different circumstances. It runs over UDP.
  .
  This metapackage explicitly depends on both the kernel module and the
- userspace tooling.
+ userspace tooling, and tries to load the new kernel module upon
+ installation, if wireguard is already in use on the system.
 
 Package: wireguard-dkms
 Architecture: all
