## wireguard 0.0.20190913

=== debian/changelog ===
wireguard (0.0.20190913-1ubuntu1) eoan; urgency=low

  * drop ADT test which requires full internet access and also abuses a
    test server without permission.
  * drop inappropriate patches:
    - d/p/0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch:
      we have a high enough version of glibc in all pockets to allow
      enabling this.  Disabling this reduces entropy.
    - d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      we do not ship this stable kernel stream.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 27 Sep 2019 16:54:55 +0100

wireguard (0.0.20190913-1) unstable; urgency=medium

  * new upstream release
  * verbose build to satisfy compiler-flags-hidden complaint from bls

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Sep 2019 10:29:32 +0200

wireguard (0.0.20190905-1) unstable; urgency=medium

  * new upstream release
  * refresh patches
  * include ${perl:Depends} in wireguard-dkms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 08 Sep 2019 15:42:09 -0400

wireguard (0.0.20190702-3) unstable; urgency=medium

  * clean up wireguard-modules versioned dependency (Closes: #930432)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 20:52:22 -0400

wireguard (0.0.20190702-2) unstable; urgency=medium

  * Work around faulty siphash backport (Closes: #934763)
  * standards-version: bump to 4.4.0 (no changes needed)
  * override package-supports-alternative-init-but-no-init.d-script for
    wireguard-tools

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 18:07:59 -0400
