=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libmnl-dev,
  pkg-config,
  systemd,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard
@@ -17,7 +17,7 @@
 Package: wireguard
 Architecture: all
 Depends:
- wireguard-dkms (= ${source:Version}) | wireguard-modules (= ${source:Version}),
+ wireguard-dkms (= ${source:Version}) | wireguard-modules (= ${source:Upstream-Version}),
  wireguard-tools (>= ${source:Version}),
  ${misc:Depends},
 Description: fast, modern, secure kernel VPN tunnel (metapackage)
@@ -38,6 +38,7 @@
 Section: kernel
 Depends:
  ${misc:Depends},
+ ${perl:Depends},
 Recommends:
  wireguard-tools (= ${source:Version}),
 Description: fast, modern, secure kernel VPN tunnel (DKMS version)
