=== debian/changelog ===
wireguard (1.0.20200121-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Feb 2020 12:38:20 -0800

wireguard (1.0.20200121-2) unstable; urgency=medium

  * Transfer module reload postinst script to wireguard-dkms package
  * standards-version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Jan 2020 13:16:57 -0500

wireguard (1.0.20200121-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 21 Jan 2020 10:12:22 -0500

wireguard (1.0.20200102-1) unstable; urgency=medium

  * new upstream release
  * drop wireguard-dkms binary package, now supplied by the
    wireguard-linux-compat source package
  * refresh patches
  * drop lintian override of version-substvar-for-external-package
  * ship examples from new upstream path
  * update debian/copyright
  * avoid using git during build to override src/version.h

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jan 2020 11:25:16 -0500

wireguard (0.0.20191219-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Dec 2019 11:33:41 -0500

wireguard (0.0.20191212-1) unstable; urgency=medium

  * new upstream release
  * encourage nftables instead of iptables

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Dec 2019 10:53:37 -0500

wireguard (0.0.20191206-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Dec 2019 17:32:38 -0500

wireguard (0.0.20191127-2) unstable; urgency=medium

  * wireguard-tools now Recommends: iptables because of wg-quick

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Dec 2019 10:46:36 -0500

wireguard (0.0.20191127-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Dec 2019 09:44:34 -0500

wireguard (0.0.20191012-1) unstable; urgency=medium

  * new upstream release
  * d/clean: clean up generated assembler
  * more notes about autopkgtest
  * standards-version: bump to 4.4.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Oct 2019 17:41:38 +0200
