=== debian/control ===
Source: wireguard
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper-compat (= 12),
 dkms,
 libmnl-dev,
 pkg-config,
 systemd,
Standards-Version: 4.5.0
Homepage: https://www.wireguard.com
Vcs-Git: https://salsa.debian.org/debian/wireguard.git
Vcs-Browser: https://salsa.debian.org/debian/wireguard
Rules-Requires-Root: no

Package: wireguard
Architecture: all
Depends:
 wireguard-dkms (>= 0.0.20200121-2) | wireguard-modules (>= 0.0.20191219),
 wireguard-tools (>= ${source:Version}),
 ${misc:Depends},
Description: fast, modern, secure kernel VPN tunnel (metapackage)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This metapackage explicitly depends on both the kernel module and the
 userspace tooling.  If this metapackage is installed, and wireguard
 is already in use on the system, the kernel module will be reloaded
 when the module is upgraded.

Package: wireguard-tools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 nftables | iptables,
 wireguard-dkms (>= 0.0.20191219) | wireguard-modules (>= 0.0.20171001),
Description: fast, modern, secure kernel VPN tunnel (userland utilities)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package contains command-line tools to interact with the
 WireGuard kernel module.  Currently, it provides only a single tool:
 .
 wg: set and retrieve configuration of WireGuard interfaces
