=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
 https://git.zx2c4.com/WireGuard \
 refs/tags/([\d\.]+)
