## wireguard 1.0.20200206

=== debian/changelog ===
wireguard (1.0.20200206-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Mar 2020 18:34:05 -0800

wireguard (1.0.20200206-2) unstable; urgency=medium

  * add NEWS file documenting that the metapackage will no longer cause a
    reload.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 Feb 2020 10:08:35 -0500

wireguard (1.0.20200206-1) unstable; urgency=medium

  * new upstream release.
  * d/copyright: note import of bits from libmnl
  * refresh patches
  * drop libmnl-dev from build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Feb 2020 14:06:44 -0500
